Get Wallet Account Metrics
curl --request GET \
--url https://sandbox.api.btdx.io/wallets/{id}/metrics \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/wallets/{id}/metrics"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/wallets/{id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"walletMetrics": {
"open": {
"total": 123,
"count": 123
},
"matched": {
"total": 123,
"count": 123
},
"cancelled": {
"total": 123,
"count": 123
},
"settled": {
"total": 123,
"count": 123
},
"voided": {
"total": 123,
"count": 123
}
}
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"walletMetrics": {
"open": {
"total": 123,
"count": 123
},
"matched": {
"total": 123,
"count": 123
},
"cancelled": {
"total": 123,
"count": 123
},
"settled": {
"total": 123,
"count": 123
},
"voided": {
"total": 123,
"count": 123
}
}
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"walletMetrics": {
"open": {
"total": 123,
"count": 123
},
"matched": {
"total": 123,
"count": 123
},
"cancelled": {
"total": 123,
"count": 123
},
"settled": {
"total": 123,
"count": 123
},
"voided": {
"total": 123,
"count": 123
}
}
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"walletMetrics": {
"open": {
"total": 123,
"count": 123
},
"matched": {
"total": 123,
"count": 123
},
"cancelled": {
"total": 123,
"count": 123
},
"settled": {
"total": 123,
"count": 123
},
"voided": {
"total": 123,
"count": 123
}
}
}Wallets
Get Wallet Account Metrics
Fetch a set of wallet account metrics for given wallet-id and currency-id
GET
/
wallets
/
{id}
/
metrics
Get Wallet Account Metrics
Headers
Header with the accessToken for the current session
Path Parameters
wallet id for which to fetch metrics
Query Parameters
currency id for which to fetch metrics
starting from date
starting to date
⌘I